[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGList.First

First non-empty item

## Declaration

Source position: fgl.pp line 149

`public property TFPGList.First : T read GetFirst write SetFirst;`

## Description

First returns the first non-empty item, which means the first item not equal to T(0). If no such element is present, T(0). is returned.

## See also

TFPSList.First |  | Pointer to first non-empty item in the list
TFPGList.Last |  | Last non-empty item